# Get-RASPowerPermission

### NAME

Get-RASPowerPermission\ <br>

### SYNOPSIS

Retrieves information about a Parallels RAS Power administrator account.\ <br>

### SYNTAX

Get-RASPowerPermission \[-[AdminId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPowerPermission.html#AdminId)] *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPowerPermission.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves information about one Parallels RAS Power administrator account.\
\
The cmdlet returns an array of objects of type RASPowerPermission.\ <br>

### PARAMETERS

\
-**AdminId \<uint>**\
Admin ID to retrieve the specified RAS Custom Administrator Account.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RASPowerPermission](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASPowerPermission.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASPowerPermission -AdminId 100\
\
Retrieves the permissions of one Parallels RAS Power administrator account.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raspowerpermission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
